extensions / Commerce extension
DELETE
/__runtime/wishlist/items/{product_id}Delete Wishlist Item
Removes a product or variant from the current shopper's storefront wishlist.
DELETE
Authentication
- Requirement
- Not specified
- Credential type
- Not specified
- Scopes
- Not specified
Permissions
- Requires an authenticated storefront session or a guest wishlist cookie.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Cookie | Yes | Not specified | Description: Value used by this operation. |
Authorization | Yes | Not specified | Description: Bearer credential used to authenticate the request. |
User-Agent | Yes | Not specified | Description: Value used by this operation. |
Path Parameters
| Name | Required | Type | Details |
|---|---|---|---|
product_id | Yes | Not specified | Description: Target product identifier. |
Query Parameters
| Name | Required | Type | Details |
|---|---|---|---|
project_id | Yes | integer | Description: Target project identifier. |
variant_id | No | integer | Description: Identifier for variant. |
variant_sku | No | string | Description: Text value. |
variant_attributes | No | JSON | Description: JSON object. |
Request Body
Response Body
Example 200 response
json
{
"items": [],
"item_keys": [],
"entries": [],
"total": 1,
"selected": true,
"html": "string"
}Errors
400 BAD_REQUEST500 INTERNAL_SERVER_ERRORAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

